Get invoice history
GET /v1/billing/invoices
GET
/v1/billing/invoices
Retrieve Stripe invoice history for the authenticated tenant. Free/no-billing tenants return an empty list.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” limit
integer
Number of invoices to return
starting_after
string
Stripe pagination cursor (invoice id from a previous response)
Responses
Section titled “ Responses ”Invoice history retrieved successfully
object
data
Array<object>
object
id
string
Example
in_1abc... status
string
Example
paid amount_due
integer
Example
1000 amount_paid
integer
Example
1000 currency
string
Example
usd period_start
string format: date-time
Example
2026-02-05T00:00:00Z period_end
string format: date-time
Example
2026-03-05T00:00:00Z created
string format: date-time
Example
2026-03-05T06:00:00Z invoice_pdf
string format: uri
hosted_invoice_url
string format: uri
lines
Array<object>
object
description
string
Example
Starter Plan (Monthly) amount
integer
Example
1000 quantity
integer
Example
1 meta
object
request_id
Unique identifier for this request (useful for support)
string
Example
req_xyz123 has_more
boolean
Example
{ "data": [ { "id": "in_1abc...", "status": "paid", "amount_due": 1000, "amount_paid": 1000, "currency": "usd", "period_start": "2026-02-05T00:00:00Z", "period_end": "2026-03-05T00:00:00Z", "created": "2026-03-05T06:00:00Z", "invoice_pdf": "https://pay.stripe.com/invoice/...", "hosted_invoice_url": "https://invoice.stripe.com/...", "lines": [ { "description": "Starter Plan (Monthly)", "amount": 1000, "quantity": 1 } ] } ], "meta": { "request_id": "req_xyz123", "has_more": false }}Invalid request
object
error
object
code
Machine-readable error code
string
Example
INVALID_REQUEST message
Human-readable error message
string
Example
endpoint must be a valid HTTPS URL meta
object
request_id
Unique identifier for this request (useful for support)
string
Example
req_xyz123Examples
Endpoint not found
{ "error": { "code": "ENDPOINT_NOT_FOUND", "message": "endpoint not found" }, "meta": { "request_id": "req_xyz123" }}Invalid endpoint ID format
{ "error": { "code": "INVALID_REQUEST", "message": "endpoint_id must be in format ep_xxx" }, "meta": { "request_id": "req_xyz123" }}Invalid payload
{ "error": { "code": "INVALID_REQUEST", "message": "payload must be valid JSON" }, "meta": { "request_id": "req_xyz123" }}Invalid headers
{ "error": { "code": "INVALID_HEADERS", "message": "header 'Host' is forbidden and cannot be overridden" }, "meta": { "request_id": "req_xyz123" }}Unauthorized - Invalid or missing API key
object
error
object
code
Machine-readable error code
string
Example
INVALID_REQUEST message
Human-readable error message
string
Example
endpoint must be a valid HTTPS URL meta
object
request_id
Unique identifier for this request (useful for support)
string
Example
req_xyz123Example
{ "error": { "code": "UNAUTHORIZED", "message": "Invalid or missing API key" }, "meta": { "request_id": "req_xyz123" }} Personalize Examples
Enter your credentials to populate code examples throughout the docs.